/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.parser;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * 
 */
public class AllTests
{

	public static Test suite( )
	{
		TestSuite suite = new TestSuite(
				"Test for org.eclipse.birt.report.engine.parser" );
		//$JUnit-BEGIN$
		suite.addTestSuite( PageSetupTest.class );
		suite.addTestSuite( StyleDesignTest.class );
		suite.addTestSuite( ListDesignTest.class );
		suite.addTestSuite( TextDesignTest.class );
		suite.addTestSuite( ImageItemDesignTest.class );
		suite.addTestSuite( GridItemDesignTest.class );
		suite.addTestSuite( FreeFormDesignTest.class );
		suite.addTestSuite( DataDesignTest.class );
		suite.addTestSuite( TextParserTest.class );
		suite.addTestSuite( LabelItemDesignTest.class );
		suite.addTestSuite( HighlightTest.class );
		suite.addTestSuite( MultiLineItemDesignTest.class );
		suite.addTestSuite( MapDesignTest.class );
		suite.addTestSuite( TableItemDesignTest.class );
		//$JUnit-END$
		return suite;
	}
}
